#include <ruby.h>
#include <stdio.h>

int hello(const char* str){
  printf("Hello %s\n", str);
  return 0;
}

VALUE wrap_hello(VALUE self, VALUE str){
  int val = hello(RSTRING(str)->ptr);
  return INT2FIX(val);
}

void Init_hello(void){
  VALUE m_hello;
  m_hello = rb_define_module("Hello");

  rb_define_module_function(m_hello, "hello",
			    &wrap_hello, 1);
}
